Bug 818205 - [RFE] Release –set command should accept values only from release list.
[RFE] Release –set command should accept values only from release list.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Alex Wood
Entitlement Bugs
: FutureFeature, QA-Closed
: 825273 (view as bug list)
Depends On:
Blocks: 771748
  Show dependency treegraph
 
Reported: 2012-05-02 08:48 EDT by spandey
Modified: 2015-04-23 19:57 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
No documentation needed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 22:52:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandey 2012-05-02 08:48:06 EDT
Prerequisites.
Rhel6.3 with following rpm.
subscription-manager-migration-0.99.15-1.el6.x86_64
subscription-manager-gnome-0.99.15-1.el6.x86_64
subscription-manager-migration-data-1.12.1.5-1.el6.noarch
subscription-manager-0.99.15-1.el6.x86_64
subscription-manager-debuginfo-0.99.15-1.el6.x86_64
subscription-manager-firstboot-0.99.15-1.el6.x86_64

Steps to Repro : 
Register client to candlepin. 
Execute following command on console to set release os version 
[root@sachbeta1 ~]# subscription-manager release --set
123456789000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
Expected Result : 
Release set command should fail with proper error message , ie : not valid
release os version .
Release –set command should accept values only from release list.


Actual Result : 
[root@sachbeta1 ~]# subscription-manager release --set
123456789000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
Release set to:
123456789000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000

[root@sachbeta1 ~]# subscription-manager release
Release:
12345678900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000

My suggestion is release --set should accept value only from list ,
Comment 3 Alex Wood 2012-06-04 14:18:54 EDT
*** Bug 825273 has been marked as a duplicate of this bug. ***
Comment 4 Alex Wood 2012-06-15 11:33:42 EDT
Refs: 818205, subscription-manager-1.0.2-1-84-g32d877f
Author:     Alex Wood <awood@redhat.com>
AuthorDate: Tue Jun 5 14:45:59 2012 -0400
Commit:     Alex Wood <awood@redhat.com>
CommitDate: Wed Jun 6 14:49:35 2012 -0400

    818205: Release --set command should only accept values from --list.
Comment 5 spandey 2012-06-18 06:54:37 EDT
Verified using following rpm 
subscription-manager-firstboot-1.0.3-1.git.75.a0245f2.el5
subscription-manager-1.0.3-1.git.75.a0245f2.el5
subscription-manager-gui-1.0.3-1.git.75.a0245f2.el5
subscription-manager-migration-data-1.11.1.1-1.git.2.c7fbafe.el5
subscription-manager-migration-1.0.3-1.git.75.a0245f2.el5


Working fine 
Resolving defect as verified.
Comment 7 errata-xmlrpc 2013-01-07 22:52:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0033.html

Note You need to log in before you can comment on or make changes to this bug.